Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 252098 - Review Request: jacorb - Free Java implementation of OMG's CORBA standard
Summary: Review Request: jacorb - Free Java implementation of OMG's CORBA standard
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://www.jacorb.org/
Whiteboard:
: 227062 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-13 22:08 UTC by Vivek Lakshmanan
Modified: 2008-06-26 01:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 01:08:01 UTC


Attachments (Terms of Use)

Description Vivek Lakshmanan 2007-08-13 22:08:08 UTC
Spec URL: http://vivekl.fedorapeople.org/rpms/jacorb.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/jacorb-2.3.0-1jpp.1.fc8.src.rpm

- high-performance, fully multithreaded ORB
- IDL compiler, supports OMG IDL/Java language mapping
rev. 2.3, OBV
- native IIOP, GIOP 1.2 and Bidirectional GIOP
- POA (Portable Object Adapter)
- AMI (Asynchronous Method Invocations)
- ETF (Extensible Transport Framework)
- POAMonitor, a GUI tools that lets you inspect your
object adapters (screenshot)
- Dynamic Invocation Interface (DII) and Dynamic Skeleton
Interface (DSI)
- Dynamic Management of Anys (DynAny)
- Portable Interceptors (standard)
- OMG Interoperable Naming Service
- NameManager, a GUI browser for the name service
(requires Swing or JDK 1.2) (screenshot)
- improved IIOP over SSL, includes KeyStoreManager
- OMG Notification  and Event service
- Transaction Service, Collection and Concurrency services
- TradingService (supports trader links), an extension of
Mark Spruiell's free JTrader
- CORBA 2.3 Code set support
- Appligator, an IIOP proxy
- Support for HTTP tunneling
- Domain Manager, an object domain management service,
includes a domain browser GUI
- Interface Repository
- IRBrowser, a GUI front end for the Interface Repository
- Implementation Repository
- Implementation Repository Manager, a GUI front end for
the Implementation Repository
- IDL and Java source for all CORBA/COSS interfaces
- examples and full source code included
- 100% pure Java, JDK 1.3 and 1.4 compatible, also cooperates
with Sun's JDK 1.2 classes (releases prior to 1.4 are
compatible with JDK 1.1)

ClassPath: antlr-2.7.2.jar:avalon-framework-4.1.5.jar:logkit-1.2.jar:commons-collections-2.0.jar:commons-logging.jar:wrapper-3.1.0.jar (see 'rpm --requires jacorb-jboss')
Note: To use on Java 1.4 add backport-util-concurrent.jar to the ClassPath (from the RPM with the same name)
Note: To use the CORBA Notification Service add picocontainer-1.2.jar to the ClassPath (from the 'picocontainer' RPM).
Needed for supporting application servers

Comment 1 Vivek Lakshmanan 2007-08-14 00:19:41 UTC
*** Bug 227062 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2008-06-26 01:08:01 UTC
Closing as detailed in bug 252049 after a complete lack of response.



Note You need to log in before you can comment on or make changes to this bug.